=== src/CMakeLists.txt ===
# Precompiled headers
IF(USE_PCH AND WIN32 AND MSVC)
  INCLUDE(PrecompiledHeader)
  SET(PCH_DEFINED TRUE)
  SET(PCH_HEADER "precompiled_msvc.h")
  SET(PCH_SOURCE "precompiled/precompiled_msvc.cpp")
ELSEIF (USE_PCH AND CMAKE_COMPILER_IS_GNUCXX AND ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  INCLUDE(PrecompiledHeader)
  SET(PCH_DEFINED TRUE)
  SET(PCH_HEADER "precompiled/precompiled_linux.h")
ENDIF()

################################################################################
#                              Subdirectories                                  #
################################################################################

# ADD_SUBDIRECTORY(i18n)

################################################################################
#                                 DEFINEs                                      #
################################################################################
IF(USE_EXPERIMENTAL)
  ADD_DEFINITIONS("-DTORA_EXPERIMENTAL")	
ENDIF(USE_EXPERIMENTAL)

################################################################################
#                                 Headers                                      #
################################################################################
INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/precompiled
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/extlibs/trotl/src
  ${CMAKE_SOURCE_DIR}/extlibs/libermodel
  ${CMAKE_SOURCE_DIR}/extlibs/libantlr3cpp-3.5.3/include
  ${CMAKE_SOURCE_DIR}/extlibs/dtl
  ${QT_INCLUDES}  
  )

IF (Boost_FOUND)
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
ENDIF()

IF (ORACLE_INCLUDES)
  INCLUDE_DIRECTORIES( ${ORACLE_INCLUDES} )
ENDIF (ORACLE_INCLUDES)

IF (POSTGRESQL_INCLUDE_DIR)
  INCLUDE_DIRECTORIES( ${POSTGRESQL_INCLUDE_DIR} )
ENDIF (POSTGRESQL_INCLUDE_DIR)

IF (DB2_INCLUDES)
  INCLUDE_DIRECTORIES( ${DB2_INCLUDES} )
ENDIF (DB2_INCLUDES)

IF (TERADATA_INCLUDES)
  INCLUDE_DIRECTORIES( ${TERADATA_INCLUDES} )
ENDIF (TERADATA_INCLUDES)

IF (NOT WANT_INTERNAL_QSCINTILLA)
  INCLUDE_DIRECTORIES(${QSCINTILLA_INCLUDE_DIR})
ENDIF (NOT WANT_INTERNAL_QSCINTILLA)

IF (USE_EXPERIMENTAL)
  IF (POPPLER_QT4_FOUND)
    INCLUDE_DIRECTORIES(${POPPLER_QT4_INCLUDE_DIR})
  ENDIF (POPPLER_QT4_FOUND)
ENDIF(USE_EXPERIMENTAL)

################################################################################
#                              Resource files                                  #
################################################################################
# only toad bindings are here. All others qm files will blow the binary too much
SET (TORA_I18N_TS
  #i18n/tora_fr.ts
  #i18n/tora_it.ts
  #i18n/tora_se.ts
  #i18n/tora_es.ts
  )
SET (TORA_I18N_TS_TOAD i18n/tora_toad.ts)

SET(TORA_RCC_FILES tora.qrc icons.qrc)

################################################################################
#                              User interface files                            #
################################################################################
SET(TORA_UI_SRC
  connection/toqmysqlsettingui.ui
  connection/toqpsqlsettingui.ui

  main/toconnectionimportui.ui
  main/tomessageui.ui
  main/tonewconnectionui.ui
  main/topreferencesui.ui
  main/tosyntaxsetupui.ui

  result/toresulttabledataui.ui

  shortcuteditor/shortcuteditordialog.ui

  tools/tobrowserfilterui.ui
  tools/todescribeui.ui
  tools/todroptablespaceui.ui
  tools/tolinechartsetupui.ui
  tools/tooutputsettingui.ui
  tools/toparamgetui.ui
  tools/torollbackdialogui.ui
  tools/torollbacksettingui.ui
  tools/toscriptschemawidgetui.ui
  tools/toscriptui.ui
  tools/tosecurityquotaui.ui
  tools/tosecurityroleui.ui
  tools/tosecurityuserui.ui
  tools/tosessiondisconnectdlgui.ui
  tools/tosgatracesettingui.ui
  tools/tostoragedatafileui.ui
  tools/tostoragedefinitionui.ui
  tools/tostoragedialogui.ui
  tools/tostorageprefsui.ui
  tools/tostoragetablespaceui.ui
  tools/totuningoverviewui.ui
  tools/totuningsettingui.ui

  widgets/connectioncolorsdialogui.ui
  widgets/toaboutcopyingui.ui
  widgets/toaboutui.ui
  widgets/todatabasesettingui.ui
  widgets/toglobalsettingui.ui
  widgets/tohelpaddfileui.ui
  widgets/tohelpsetupui.ui
  widgets/tohelpui.ui
  widgets/toresultcontentfilterui.ui
  widgets/toresultlistformatui.ui
  widgets/tosearchreplaceui.ui
  widgets/tosessionsetupui.ui
  widgets/totoolsettingui.ui
  widgets/toworksheetsetupui.ui

  #obsolete tools/tobrowserconstraintui.ui
  #obsolete tools/tobrowserindexui.ui
  #obsolete tools/tobrowsertableui.ui

  #     todebugchangeui.ui
  #     todebugwatch.ui

  #     toeditextensionsetupui.ui

  #     tochartalarmui.ui
  #     tochartsetupui.ui


  # #    toschedulerui.ui

  templates/totemplateaddfileui.ui
  templates/totemplateeditui.ui
  templates/totemplatesetupui.ui
  )

IF (ORACLE_FOUND)
  LIST (APPEND TORA_UI_SRC main/tooraclesettingui.ui)
ENDIF (ORACLE_FOUND)

IF (POPPLER_QT4_FOUND)
  #    LIST(APPEND TORA_UI_SRC pdfview/pdfviewwidget.ui)
ENDIF (POPPLER_QT4_FOUND)

################################################################################
#                           QObject sub-classes(moc)                           #
################################################################################
# MOC classses
SET(TORA_MOC_CLASSES
  # Tora core sorces
  connection/toqmysqlsetting.h
  connection/toqpsqlsetting.h
  core/tobackground.h
  core/tocache.h
  core/tochangeconnection.h
  core/tocodemodel.h
  core/toconfenum.h
  core/toconfiguration.h
  core/toconnection.h
  core/toconnectionmodel.h
  core/toconnectionregistry.h
  core/tocontextmenu.h
  core/todatabaseconfig.h
  core/todocklet.h
  core/toeditablemenu.h
  core/toeditmenu.h
  core/toeditorconfiguration.h
  core/toeventquery.h
  core/toeventqueryworker.h
  core/toextract.h
  core/toglobalconfiguration.h
  core/toglobalevent.h
  core/tohelpcontext.h
  core/tolistviewformatter.h
  core/tomainwindow.h
  core/toquery.h
  core/toqueryimpl.h
  core/toresult.h
  core/tosettingtab.h
  core/tostyle.h
  core/tosyntaxanalyzer.h
  core/totextview.h
  core/totool.h
  core/toupdater.h
  core/utils.h
  docklets/toviewconnections.h
  docklets/toviewdirectory.h
  editor/tobaseeditor.h
  editor/tocomplpopup.h
  editor/todebugeditor.h
  editor/todebugtext.h
  editor/todifftext.h
  editor/tohighlightededitor.h
  editor/tomarkededitor.h
  editor/tomemoeditor.h
  editor/tomodeleditor.h
  editor/toscintilla.h
  editor/tosqltext.h
  editor/tosyntaxanalyzermysql.h
  editor/tosyntaxanalyzernl.h
  editor/tosyntaxanalyzeroracle.h
  editor/tosyntaxanalyzerpostgresql.h
  editor/toworksheettext.h

  main/toconnectionimport.h
  main/tomain.h
  main/tomessage.h
  main/tonewconnection.h
  main/topreferences.h
  main/tosyntaxsetup.h

  parsing/tolexermysql.h
  parsing/tolexeroracle.h
  parsing/tolexeroracleapis.h
  parsing/tolexerpostgresql.h
  parsing/toscilexersql.h
  parsing/tsqllexer.h

  result/toproviderobserver.h
  result/toresultlock.h
  result/toresultplan.h
  result/toresultsql.h
  result/toresulttabledata.h
  result/toresultwaitchains.h
  result/totablemodel.h
  result/totreemodel.h

  shortcuteditor/shortcuteditordialog.h
  shortcuteditor/shortcutmodel.h

  templates/tosqledit.h
  templates/totemplate.h

  tools/toanalyze.h
  tools/toawr.h
  tools/tobackup.h
  tools/tobackuptool.h
  tools/tobarchart.h
  tools/tobrowser.h
  tools/tobrowseraccesswidget.h
  tools/tobrowserbasewidget.h # this one is used by widgets/todescribe.h
  tools/tobrowsercodewidget.h
  tools/tobrowserdblinkswidget.h
  tools/tobrowserdirectorieswidget.h
  tools/tobrowserindexwidget.h
  tools/tobrowserschemawidget.h
  tools/tobrowsersequencewidget.h
  tools/tobrowsersynonymwidget.h
  tools/tobrowsertablewidget.h
  tools/tobrowsertriggerwidget.h
  tools/tobrowserviewwidget.h
  tools/tocurrent.h
  tools/todescribe.h
  tools/tofilesize.h
  tools/toinvalid.h
  tools/tolinechart.h
  tools/tooutput.h
  tools/toparamget.h
  tools/topiechart.h
  tools/toplsqleditor.h
  tools/toplsqltext.h
  tools/toprofiler.h
  tools/toresultbar.h
  tools/toresultcode.h
  tools/toresultcols.h
  tools/toresultdatasingle.h
  tools/toresultdepend.h
  tools/toresultdrawing.h
  tools/toresultextent.h
  tools/toresultgrants.h
  tools/toresultline.h
  tools/toresultlong.h
  tools/toresultparam.h
  tools/toresultpie.h
  tools/toresultplan.h
  tools/toresultstats.h
  tools/toresultstorage.h
  tools/toresulttableview.h
  tools/toresulttableviewedit.h
  tools/toresultview.h
  tools/torollback.h
  tools/toscriptschemawidget.h
  tools/toscripttreeitem.h
  tools/toscripttreemodel.h
  tools/tosecurity.h
  tools/tosecuritytreeitem.h
  tools/tosecuritytreemodel.h
  tools/tosession.h
  tools/tosgastatement.h
  tools/tosgatrace.h
  tools/tostorage.h
  tools/totemporary.h
  tools/totuning.h
  tools/totuningcharts.h
  tools/totuningfileio.h
  tools/totuningoverview.h
  tools/tounittest.h
  tools/towaitevents.h
  tools/toworksheet.h
  tools/toworksheeteditor.h
  tools/toworksheetstatistic.h

  ts_log/toostream.h

  views/tocomboview.h
  views/toplaintextview.h
  views/tosqltextview.h
  views/totableview.h
  views/totreeview.h

  widgets/ExtendedTabWidget.h
  widgets/toabout.h
  widgets/toaboutcopying.h
  widgets/tobackgroundlabel.h
  widgets/toconnectionwidget.h
  widgets/todatabasesetting.h
  widgets/todockbar.h
  widgets/toglobalsetting.h
  widgets/tohelp.h
  widgets/tohelpsetup.h
  widgets/topushbutton.h
  widgets/torefreshcombo.h
  widgets/toresultcolscomment.h
  widgets/toresultcombo.h
  widgets/toresultitem.h
  widgets/toresultlistformat.h
  widgets/toresultmodel.h
  widgets/toresultmodeledit.h
  widgets/toresultschema.h
  widgets/tosearchreplace.h
  widgets/tosplash.h
  widgets/totabledetailview.h
  widgets/totableselect.h
  widgets/totabwidget.h
  widgets/totoolwidget.h
  widgets/totreewidget.h
  widgets/toworkingwidget.h
  widgets/toworkspace.h

  docklets/toquerymodel.h
  tools/toer.h

  #obsolete core/todatatype.h
  #obsolete core/torunnable.h
  #obsolete core/totaskrunner.h
  #obsolete core/tothread.h
  #obsolete core/tovisualize.h
  #core/toconfiguration.h
  #core/toconfigurationpriv.h  
  #obsolete tools/tobrowserconstraint.h
  #obsolete tools/tobrowserindex.h
  #obsolete tools/tobrowsertable.h

  #     toproject.h
  
  #TODO tools/toalert.h
  #     todebug.h
  #     todebugtext.h
  #     toeditextensions.h
  # #   toreport.h
  #     toresultlabel.h
  # #   toresultresources.h
  # #   toscheduler.h
  # # tostoragedefinition.h
  )

IF (ORACLE_FOUND)
  LIST(APPEND TORA_MOC_CLASSES main/tooraclesetting.h connection/tooracleconfiguration.h)
ENDIF (ORACLE_FOUND)

IF (POPPLER_QT4_FOUND)
  #    LIST(APPEND TORA_MOC_CLASSES pdfview/documentwidget.h pdfview/pdfviewwidget.h)
ENDIF (POPPLER_QT4_FOUND)

IF (USE_EXPERIMENTAL)
  LIST(APPEND TORA_MOC_CLASSES tools/toscript.h)
  LIST(APPEND TORA_MOC_CLASSES docklets/tocodeoutline.h)

  LIST(APPEND TORA_MOC_CLASSES tools/tosandboxtool.h)

  LIST(APPEND TORA_MOC_CLASSES docklets/tologging.h)
  LIST(APPEND TORA_MOC_CLASSES docklets/tobindvars.h)
ENDIF (USE_EXPERIMENTAL)

################################################################################
#                              Source files .cpp .rc                           #
################################################################################
# sources
SET(TORA_SOURCES
  connection/tooracleextract.cpp
  connection/tooraclesql.cpp
  connection/toqmysqlconnection.cpp
  connection/toqmysqlprovider.cpp
  connection/toqmysqlquery.cpp
  connection/toqmysqlsetting.cpp
  connection/toqmysqltraits.cpp
  connection/toqodbcprovider.cpp
  connection/toqpsqlconnection.cpp
  connection/toqpsqlprovider.cpp
  connection/toqpsqlquery.cpp
  connection/toqpsqlsetting.cpp
  connection/toqpsqltraits.cpp
  connection/toqsqlconnection.cpp
  connection/toqsqlfind.cpp
  connection/toqsqlprovider.cpp
  connection/toqsqlquery.cpp
  connection/toteradatafind.cpp

  core/persistenttrie.cpp
  core/tobackground.cpp
  core/tocache.cpp
  core/tochangeconnection.cpp
  core/tocodemodel.cpp
